Subject: bug#76955: 30.1; php-ts-mode-php-executable default path may not match remote path

From: Morgan Willcock <[email-masked]>
Date: Fri, 21 Mar 2025 16:31:03 +0000

Vincenzo Pupillo <[email-masked]> writes:

>> > The new version of the patch is attached.
>>
>> I guess the docstring of php-ts-mode--executable must be adapted to the
>> recent affair.

I guess that the intention is described in the title of the patch ("PHP
should be in the PATH, either locally or remotely"), but the current
setup with php-ts-mode-php-executable allows an explicit path to be set
which is not on PATH, and it can be set both locally and remotely.

I just want to check that removing this feature is completely
intentional, since someone may be using it.

Thanks,
Morgan

-- 
Morgan Willcock